Package org.drinkless.tdlib

# Class TdApi.ChatFolderInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatFolderInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatFolderInfo extends TdApi.Object
Contains basic information about a chat folder.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `colorId`
  The identifier of the chosen color for the chat folder icon; from -1 to 6.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasMyInviteLinks`
  True, if the chat folder has invite links created by the current user.
  `TdApi.ChatFolderIcon`
  `icon`
  The chosen or default icon for the chat folder.
  `int`
  `id`
  Unique chat folder identifier.
  `boolean`
  `isShareable`
  True, if at least one link has been created for the folder.
  `TdApi.ChatFolderName`
  `name`
  The name of the folder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatFolderInfo()`
  Contains basic information about a chat folder.
  `ChatFolderInfo(int id, TdApi.ChatFolderName name, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, boolean hasMyInviteLinks)`
  Contains basic information about a chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique chat folder identifier.

  - ### name

    public TdApi.ChatFolderName name
    The name of the folder.

  - ### icon

    public TdApi.ChatFolderIcon icon
    The chosen or default icon for the chat folder.

  - ### colorId

    public int colorId
    The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is disabled.

  - ### isShareable

    public boolean isShareable
    True, if at least one link has been created for the folder.

  - ### hasMyInviteLinks

    public boolean hasMyInviteLinks
    True, if the chat folder has invite links created by the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatFolderInfo

    public ChatFolderInfo()
    Contains basic information about a chat folder.

  - ### ChatFolderInfo

    public ChatFolderInfo(int id, TdApi.ChatFolderName name, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, boolean hasMyInviteLinks)
    Contains basic information about a chat folder.
    Parameters:
      `id` - Unique chat folder identifier.
      `name` - The name of the folder.
      `icon` - The chosen or default icon for the chat folder.
      `colorId` - The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is disabled.
      `isShareable` - True, if at least one link has been created for the folder.
      `hasMyInviteLinks` - True, if the chat folder has invite links created by the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR